Bug 255459 - sysutils/terraform-docs: Update to 0.12.1
Summary: sysutils/terraform-docs: Update to 0.12.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Fernando Apesteguía
URL: https://github.com/terraform-docs/ter...
Keywords:
Depends on:
Blocks:
 
Reported: 2021-04-28 12:25 UTC by Gabriel Dutra
Modified: 2021-05-01 06:16 UTC (History)
1 user (show)

See Also:


Attachments
Patch (6.74 KB, patch)
2021-04-28 12:25 UTC, Gabriel Dutra
0xdutra: maintainer-approval+
Details | Diff
Patch (6.88 KB, patch)
2021-04-30 03:14 UTC, Gabriel Dutra
0xdutra: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Gabriel Dutra 2021-04-28 12:25:42 UTC
Created attachment 224495 [details]
Patch

Update terraform-docs to version 0.12.1

Tested on:

FreeBSD CURRENT amd64, i386
FreeBSD 12.2    amd64, i386
FreeBSD 12.1    amd64, i386

--

Portlint: no errors
Comment 1 Fernando Apesteguía freebsd_committer 2021-04-28 14:46:30 UTC
Hi,

patch does not apply cleanly. Port Makefiles do not contain $FreeBSD$ anymore.

Would you mind regenerating it?

Thanks!
Comment 2 Gabriel Dutra 2021-04-30 03:14:28 UTC
Created attachment 224561 [details]
Patch

I'm sorry,

I'm sending a new patch.
Comment 3 Fernando Apesteguía freebsd_committer 2021-04-30 11:38:09 UTC
Committed,

Thanks!
Comment 4 commit-hook freebsd_committer 2021-04-30 11:38:33 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=bbd7f0fac79363cf1771c043395556796fb9f61d

commit bbd7f0fac79363cf1771c043395556796fb9f61d
Author:     Fernando Apesteguía <fernape@FreeBSD.org>
AuthorDate: 2021-04-30 11:24:33 +0000
Commit:     Fernando Apesteguía <fernape@FreeBSD.org>
CommitDate: 2021-04-30 11:34:16 +0000

    sysutils/terraform-docs: Update to 0.12.1

    ChangeLog:
    https://github.com/terraform-docs/terraform-docs/releases/tag/v0.12.1

    PR:     255459
    Reported by:    0xdutra@gmail.com (maintainer)

 sysutils/terraform-docs/Makefile | 16 +++++++++++-----
 sysutils/terraform-docs/distinfo | 30 +++++++++++++++++++-----------
 2 files changed, 30 insertions(+), 16 deletions(-)
Comment 5 commit-hook freebsd_committer 2021-05-01 06:16:35 UTC
A commit in branch main references this bug:

URL: https://cgit.FreeBSD.org/ports/commit/?id=4283697240672a02a4764c62a8c38f6dbae0d78c

commit 4283697240672a02a4764c62a8c38f6dbae0d78c
Author:     Jan Beich <jbeich@FreeBSD.org>
AuthorDate: 2021-05-01 05:56:21 +0000
Commit:     Jan Beich <jbeich@FreeBSD.org>
CommitDate: 2021-05-01 06:06:39 +0000

    sysutils/terraform-docs: drop $FreeBSD$ again after bbd7f0fac793

    $FreeBSD$ was originally removed in 305f148f482d (2021-04-06) which
    confused portlint until f36c30ba1869 (2021-04-19), so a workaround
    accidentally crept in into the patch.

    $ portlint -C
    FATAL: Makefile: [1]: $FreeBSD$ is deprecated in Git.

    PR:             255459

 sysutils/terraform-docs/Makefile | 2 --
 1 file changed, 2 deletions(-)